# validictory 0.8.3

## Overview

validictory is a general purpose Python data validator that allows validation of arbitrary Python data structures.

Schema format is based on the JSON Schema proposal, so combined with `json` the library is also useful as a validator for JSON data.

Contains code derived from jsonschema by Ian Lewis and Ysuke Muraoka.

## Obtaining validictory

Source is available from GitHub.

The latest release is always available on PyPI and can be installed via pip.

Documentation lives at ReadTheDocs.

## Contents

- Using validictory
  - Examples
  - Schema Options
  - Common Recipes
- validictory module
  - validate
  - SchemaValidator
  - Exceptions
- validictory changelog
  - 0.8.3
  - 0.8.2
  - 0.8.1
  - 0.8.0
  - 0.7.2
  - 0.7.1
  - 0.7.0
  - 0.6.1
  - 0.6.0
  - 0.5.0
  - 0.4.1
  - 0.4.0
  - 0.3.0

# Indices and tables

- Index
- Module Index
- Search Page